routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });
Route::get('/', 'Auth\LoginController@showLoginForm');
Auth::routes();

Route::group(['middleware' => ['auth']], function() {
	Route::get('/home', 'HomeController@index')->name('home');

	Route::resource('/users', 'UserController');
	Route::resource('/measurements', 'MeasurementController');
    Route::resource('/variants', 'VariantController');
    Route::resource('/attributes', 'AttributeController');
	Route::resource('/brands', 'BrandController');
    Route::resource('/categories', 'CategoryController');
    Route::resource('/countries', 'CountryController');
    Route::resource('/products', 'ProductController');
    Route::resource('/options', 'OptionController');

    Route::delete('/deleteproducts', 'ProductController@deleteMultipleProducts')->name('products.multipledelete');
    Route::resource('/orders', 'OrderController');
    Route::get('/print/{id}', 'OrderController@printPreview')->name('orders.print');
    Route::post('/orders/updatestatus', 'OrderController@changeStatus')->name('orders.updatestatus');
    Route::get('/customers', 'UserController@customers')->name('users.customers');

    Route::post('/variantoptions', 'VariantController@getVariantOptions')->name('variant.options');
    Route::post('/fetchattributes', 'MeasurementController@getAttributes')->name('measurement.attributes');

    Route::post('customer/status', 'UserController@changeStatus')->name('user.updatestatus');

    Route::delete('/deletebanners', 'OptionController@deleteBanners')->name('option.bannerdelete');
});

//Route::get('admin/home', 'HomeController@adminHome')->name('admin.home')->middleware('is_admin');

Route::get('/clear-cache', function() {
    Artisan::call('cache:clear');
    Artisan::call('route:clear');
    Artisan::call('config:clear');
    Artisan::call('view:clear');
    // return "Cache is cleared";
    return view('cache');
})->name('cache.clear');

app/Country.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    //
    protected $fillable = [
    	'id',
        'name',
        'alpha2',
        'alpha3',
        'region',
        'sub_region',
        'dial_code'  
    ];

    
}

app/Http/Controllers/CountryController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Validator,Response;
use App\Country;

class CountryController extends Controller
{
    //

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        // 
        $data = Country::orderBy('id', 'DESC')->get();
    

        return view('country.index',compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        $country = Country::find($id);


        return view('country.edit',compact( 'country'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {       
        //
        $this->validate($request, [
            'name' => 'required',
            'alpha2' => 'required'
        ]); 
        
        $input = $request->all();
        
        $country = Country::find($id);

        $updata = [ 
            'name'        => $input['name'],
            'alpha2' 	  => $input['alpha2'],
            'alpha3' 	  => $input['alpha3'],
            'region' 	  => $input['region'],
            'sub_region'  => $input['sub_region'],        
            'dial_code'   => $input['dial_code']
            ];
        
        $country->update($updata);
               
        return redirect()->route('countries.index')
                        ->with('success','Country updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //        
        $country = Country::find($id);

        $country->delete(); 

        return redirect()->route('countries.index')
                        ->with('success','Country deleted successfully');

    }

}

resources/views/country/edit.blade.php
@extends('layouts.admin')


@section('content')
<!-- Content Header (Page header) -->
<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Edit Country</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
          <li class="breadcrumb-item"><a href="{{ route('countries.index') }}">Country</a></li>
          <li class="breadcrumb-item active">Edit Country</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>

<!-- Main content -->
<section class="content">
    <div class="container-fluid">
      <div class="row">
        <!-- left column -->
     
      <div class="col">
        <!-- general form elements -->
        <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Edit Country</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
            {!! Form::model($country, ['method' => 'PATCH', 'enctype' => 'multipart/form-data', 'route' => ['countries.update', $country->id]]) !!}          
            <div class="card-body">
                @if (count($errors) > 0)
                <div class="alert alert-danger">
                    <strong>Whoops!</strong> There were some problems with your input.<br><br>
                    <ul>
                       @foreach ($errors->all() as $error)
                         <li>{{ $error }}</li>
                       @endforeach
                    </ul>
                </div>
                @endif
                <div class="row">
                <div class="form-group col-6">
                    <label for="c_name">Country Name <span class="help-block">*</span></label>
                    {!! Form::text('name', null, array('placeholder' => 'Country Name','class' => 'form-control', 'id' => 'c_name')) !!}
                </div> 

                <div class="form-group  col-6">
                    <label>Short Name (2 letter):</label>
                    {!! Form::text('alpha2', null, array('placeholder' => 'Short Name','class' => 'form-control', 'id' => 'alpha2')) !!}                  
                </div>   
                </div>  
                <div class="row">
                <div class="form-group col-6">
                     <label>Short Name (3 letter):</label>
                    {!! Form::text('alpha3', null, array('placeholder' => 'Short Name','class' => 'form-control', 'id' => 'alpha3')) !!}
                </div> 

                <div class="form-group  col-6">
                    <label>Region:</label>
                    {!! Form::text('region', null, array('placeholder' => 'Region','class' => 'form-control', 'id' => 'region')) !!}                  
                </div>   
                </div>  
                <div class="row">
                <div class="form-group col-6">
                     <label>Sub Region:</label>
                    {!! Form::text('sub_region', null, array('placeholder' => 'Sub Region','class' => 'form-control', 'id' => 'sub_region')) !!}
                </div> 

                <div class="form-group  col-6">
                    <label>Dial Code:</label>
                    {!! Form::text('dial_code', null, array('placeholder' => 'Dial Code','class' => 'form-control', 'id' => 'dial_code')) !!}                  
                </div>   
                </div>      
            </div>
            <!-- /.card-body -->
            <div class="card-footer">
              <button type="submit" class="btn btn-primary">Submit</button>
              <a class="btn btn-secondary float-right" href="{{ route('countries.index') }}"> Cancel</a>
            </div>
          {!! Form::close() !!}
        </div>
        <!-- /.card -->
    </div>
    
    </div>
    </div>
</section>

@endsection

resources/views/country/index.blade.php
@extends('layouts.admin')


@section('content')
<!-- Content Header (Page header) -->
<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Country</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
          <li class="breadcrumb-item active">Manage Countries</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col">
        <div class="card">
        <div class="card-header">
          <h3 class="card-title">Manage Countries</h3>          
            <!-- <a class="btn bg-gradient-success float-right" href="{{ route('countries.create') }}" title="Add New">CREATE NEW</a> -->
        </div>
        <!-- /.card-header -->
        <div class="card-body">
          @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
          @endif
          <table id="country-tbl" class="table table-bordered table-hover">
            <thead>
            <tr>
              <th>#</th>
              <th>Name</th>    
              <th>ShortName</th>         
              <th>Region</th>
              <th>DialCode</th>
              <th>Action</th>                  
            </tr>
            </thead>
            <tbody> 
            @foreach ($data as $i => $country)              
            <tr>
              <td>{{ ($i+1) }}</td>
              <td width="25%">
               
                {{ $country->name }}
              </td>
              <td width="10%">{{ $country->alpha2 }}</td>
              <td>{{ $country->region }}</td>
              <td>{{ $country->dial_code }}</td>
              <td>
                <a class="btn btn-success" href="{{ route('countries.edit',$country->id) }}" title="Edit"><i class="fas fa-edit"></i></a>                
                {!! Form::open(['method' => 'DELETE','route' => ['countries.destroy', $country->id],'style'=>'display:inline']) !!}
                <button type="submit" class="ml-2 btn btn-danger" title="Delete"><i class="fas fa-trash"></i></button>
                {!! Form::close() !!}               
              </td>
            </tr>
             @endforeach  
            </tbody>
            <tfoot>
            <tr>
              <th>#</th>
              <th>Name</th>    
              <th>ShortName</th>         
              <th>Region</th>
              <th>DialCode</th>
              <th>Action</th>                      
            </tr>                  
            </tr>
            </tfoot>
          </table>          
        </div>
        <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- <div class="col">&nbsp;</div> -->
    </div>
  </div>
</section> 
<!-- /.content -->
@endsection